neighbours_true      <- vector( "list", 430 )

## Ostfold county - original neighbourhood structure is correct ##
neighbours_true[[1]]   <- c(3, 5, 6, 14) 
neighbours_true[[2]]   <- c(16, 17, 19, 107, 111)
neighbours_true[[3]]   <- c(1, 4, 5, 13, 14, 15, 17)
neighbours_true[[4]]   <- c(3, 5, 15, 122, 123)
neighbours_true[[5]]   <- c(1, 3, 4, 123)
neighbours_true[[6]]   <- c(1, 7, 14)
neighbours_true[[7]]   <- c(6, 8, 12, 14, 27)
neighbours_true[[8]]   <- c(7, 27)
neighbours_true[[9]]   <- c(10, 11, 12, 27, 29, 31)
neighbours_true[[10]]  <- c(9, 11, 13, 17, 18, 31)
neighbours_true[[11]]  <- c(9, 10, 12, 13)
neighbours_true[[12]]  <- c(7, 9, 11, 13, 14, 27)
neighbours_true[[13]]  <- c(3, 10, 11, 12, 14, 17)
neighbours_true[[14]]  <- c(1, 3, 6, 7, 12, 13)
neighbours_true[[15]]  <- c(3, 4, 16, 17, 113, 122)
neighbours_true[[16]]  <- c(2, 15, 17, 111, 113)
neighbours_true[[17]]  <- c(2, 3, 10, 13, 15, 16, 18, 19)
neighbours_true[[18]]  <- c(10, 17, 19, 20, 21, 31)

## Akershus county - original neighbourhood structure is correct ## 
neighbours_true[[19]]  <- c(2, 17, 18, 21, 22, 107)
neighbours_true[[20]]  <- c(18, 21, 24, 31, 41)
neighbours_true[[21]]  <- c(18, 19, 20, 22, 24)
neighbours_true[[22]]  <- c(19, 21, 23, 24, 106, 107)
neighbours_true[[23]]  <- c(22, 24, 25, 26, 41, 106)
neighbours_true[[24]]  <- c(20, 21, 22, 23, 41)
neighbours_true[[25]]  <- c(23, 26, 41, 92, 93, 105)
neighbours_true[[26]]  <- c(23, 25, 105, 106)
neighbours_true[[27]]  <- c(7, 8, 9, 12, 28, 29, 37, 49)
neighbours_true[[28]]  <- c(27, 29, 33, 35, 36, 37)
neighbours_true[[29]]  <- c(9, 27, 28, 30, 31, 33)
neighbours_true[[30]]  <- c(29, 31, 32, 33)
neighbours_true[[31]]  <- c(9, 10, 18, 20, 29, 30, 32, 41)
neighbours_true[[32]]  <- c(30, 31, 33, 41)
neighbours_true[[33]]  <- c(28, 29, 30, 32, 34, 35, 41)
neighbours_true[[34]]  <- c(33, 35, 39, 41, 80)
neighbours_true[[35]]  <- c(28, 33, 34, 36, 39)
neighbours_true[[36]]  <- c(28, 35, 37, 38, 39)
neighbours_true[[37]]  <- c(27, 28, 36, 38, 47, 48, 49)
neighbours_true[[38]]  <- c(36, 37, 39, 40, 46, 47, 77)
neighbours_true[[39]]  <- c(34, 35, 36, 38, 40, 80, 81)
neighbours_true[[40]]  <- c(38, 39, 77, 78, 81)
neighbours_true[[41]]  <- c(20, 23, 24, 25, 31, 32, 33, 34, 80, 92)

## Hedmark county - original neighbourhood structure is correct ## 
neighbours_true[[42]]  <- c(48, 49, 50)
neighbours_true[[43]]  <- c(44, 45, 46, 55)
neighbours_true[[44]]  <- c(43, 46, 55, 56, 64, 65, 75, 77)
neighbours_true[[45]]  <- c(43, 46, 52, 53, 55)
neighbours_true[[46]]  <- c(38, 43, 44, 45, 47, 51, 52, 77)
neighbours_true[[47]]  <- c(37, 38, 46, 48, 50, 51)
neighbours_true[[48]]  <- c(37, 42, 47, 49, 50)
neighbours_true[[49]]  <- c(27, 37, 42, 48)
neighbours_true[[50]]  <- c(42, 47, 48, 51)
neighbours_true[[51]]  <- c(46, 47, 50, 52)
neighbours_true[[52]]  <- c(45, 46, 51, 53, 54)
neighbours_true[[53]]  <- c(45, 52, 54, 55)
neighbours_true[[54]]  <- c(52, 53, 55, 57, 58)
neighbours_true[[55]]  <- c(43, 44, 45, 53, 54, 56, 57)
neighbours_true[[56]]  <- c(44, 55, 57, 61, 62, 73, 74, 75)
neighbours_true[[57]]  <- c(54, 55, 56, 58, 59, 60, 61)
neighbours_true[[58]]  <- c(54, 57, 59, 63, 311)
neighbours_true[[59]]  <- c(57, 58, 60, 63)
neighbours_true[[60]]  <- c(57, 59, 61, 62, 63, 307, 308, 313)
neighbours_true[[61]]  <- c(56, 57, 60, 62)
neighbours_true[[62]]  <- c(56, 60, 61, 66, 72, 73, 307)
neighbours_true[[63]]  <- c(58, 59, 60, 311, 312, 313)

## Oppland county ##
neighbours_true[[64]] <- c(44, 65, 75, 76, 83)
neighbours_true[[65]] <- c(44, 64, 77, 78, 82, 83)
neighbours_true[[66]] <- c(62, 67, 70, 72, 307)
neighbours_true[[67]] <- c(66, 68, 69, 70, 278, 279, 289, 307) ## Wrong entry
neighbours_true[[68]] <- c(67, 69, 244, 257, 269, 270, 278)    ## Wrrng entry
neighbours_true[[69]] <- c(67, 68, 70, 89, 244)
neighbours_true[[70]] <- c(66, 67, 69, 71, 72, 88, 89)
neighbours_true[[71]] <- c(70, 72, 73, 88)
neighbours_true[[72]] <- c(62, 66, 70, 71, 73)
neighbours_true[[73]] <- c(56, 62, 71, 72, 74, 76, 88)
neighbours_true[[74]] <- c(56, 73, 75, 76)
neighbours_true[[75]] <- c(44, 56, 64, 74, 76)
neighbours_true[[76]] <- c(64, 73, 74, 75, 83, 86, 88)
neighbours_true[[77]] <- c(38, 40, 44, 46, 65, 78)
neighbours_true[[78]] <- c(40, 65, 77, 81, 82)
neighbours_true[[79]] <- c(80, 81, 92)
neighbours_true[[80]] <- c(34, 39, 41, 79, 81, 92)
neighbours_true[[81]] <- c(39, 40, 78, 79, 80, 82, 92)
neighbours_true[[82]] <- c(65, 78, 81, 83, 84, 92)
neighbours_true[[83]] <- c(64, 65, 76, 82, 84, 85, 86)
neighbours_true[[84]] <- c(82, 83, 85, 86, 92, 94, 95, 96)
neighbours_true[[85]] <- c(83, 84, 86)
neighbours_true[[86]] <- c(76, 83, 84, 85, 87, 88, 96, 97)
neighbours_true[[87]] <- c(86, 88, 89, 97)
neighbours_true[[88]] <- c(70, 71, 73, 76, 86, 87, 89)
neighbours_true[[89]] <- c(69, 70, 87, 88, 97, 242, 243, 244)

## Buskerud county - original neighbourhood structure is correct ##
neighbours_true[[90]]  <- c(104, 105, 106, 116, 117, 118)
neighbours_true[[91]]  <- c(103, 108, 118, 124, 126, 127, 128, 134)
neighbours_true[[92]]  <- c(25, 41, 79, 80, 81, 82, 84, 93, 94, 101, 102)
neighbours_true[[93]]  <- c(25, 92, 102, 105)
neighbours_true[[94]]  <- c(84, 92, 95, 100, 101, 110)
neighbours_true[[95]]  <- c(84, 94, 96, 98, 110)
neighbours_true[[96]]  <- c(84, 86, 95, 97, 98)
neighbours_true[[97]]  <- c(86, 87, 89, 96, 98, 242)
neighbours_true[[98]]  <- c(95, 96, 97, 99, 110, 242)
neighbours_true[[99]]  <- c(98, 110, 210, 211, 241, 242)
neighbours_true[[100]] <- c(94, 101, 102, 103, 108, 109, 110)
neighbours_true[[101]] <- c(92, 94, 100, 102)
neighbours_true[[102]] <- c(92, 93, 100, 101, 103, 105)
neighbours_true[[103]] <- c(91, 100, 102, 104, 105, 108, 118)
neighbours_true[[104]] <- c(90, 103, 105, 118)
neighbours_true[[105]] <- c(25, 26, 90, 93, 102, 103, 104, 106)
neighbours_true[[106]] <- c(22, 23, 26, 90, 105, 107, 116)
neighbours_true[[107]] <- c(2, 19, 22, 106, 111, 116, 117, 119)
neighbours_true[[108]] <- c(91, 100, 103, 109, 127, 135)
neighbours_true[[109]] <- c(100, 108, 110, 135)
neighbours_true[[110]] <- c(94, 95, 98, 99, 100, 109, 135, 142, 210)

## Vestfold county - original neighbourhood structure is correct ## 
neighbours_true[[111]] <- c(2, 16, 107, 113, 119)
neighbours_true[[112]] <- c(117, 118, 119)
neighbours_true[[113]] <- c(15, 16, 111, 119, 121, 122)
neighbours_true[[114]] <- c(115, 120, 121, 122, 123)
neighbours_true[[115]] <- c(114, 120, 124, 125, 128, 129, 130)
neighbours_true[[116]] <- c(90, 106, 107, 117)
neighbours_true[[117]] <- c(90, 107, 112, 116, 118, 119)
neighbours_true[[118]] <- c(90, 91, 103, 104, 112, 117, 119, 124)
neighbours_true[[119]] <- c(107, 111, 112, 113, 117, 118, 120, 121, 124)
neighbours_true[[120]] <- c(114, 115, 119, 121, 124)
neighbours_true[[121]] <- c(113, 114, 119, 120, 122)
neighbours_true[[122]] <- c(4, 15, 113, 114, 121, 123)
neighbours_true[[123]] <- c(4, 5, 114, 122)
neighbours_true[[124]] <- c(91, 115, 118, 119, 120, 128)

## Telemark county - original neighbourhood structure is correct ## 
neighbours_true[[125]] <- c(115, 126, 128, 129)
neighbours_true[[126]] <- c(91, 125, 128, 129, 131, 132, 134)
neighbours_true[[127]] <- c(91, 108, 133, 134, 135, 136, 137)
neighbours_true[[128]] <- c(91, 115, 124, 125, 126)
neighbours_true[[129]] <- c(115, 125, 126, 130, 131)
neighbours_true[[130]] <- c(115, 129, 131, 143, 146)
neighbours_true[[131]] <- c(126, 129, 130, 132, 138, 139, 146)
neighbours_true[[132]] <- c(126, 131, 133, 134, 138)
neighbours_true[[133]] <- c(127, 132, 134, 137)
neighbours_true[[134]] <- c(91, 126, 127, 132, 133)
neighbours_true[[135]] <- c(108, 109, 110, 127, 136, 137, 142)
neighbours_true[[136]] <- c(127, 135, 137)
neighbours_true[[137]] <- c(127, 133, 135, 136, 138, 141, 142)
neighbours_true[[138]] <- c(131, 132, 137, 139, 140, 141)
neighbours_true[[139]] <- c(131, 138, 140, 146, 147, 152)
neighbours_true[[140]] <- c(138, 139, 141, 152, 155, 156)
neighbours_true[[141]] <- c(137, 138, 140, 142, 156, 157)
neighbours_true[[142]] <- c(110, 135, 137, 141, 157, 189, 208, 209)

## Aust-Agder county - original neighbourhood structure is correct ## 
neighbours_true[[143]] <- c(130, 146, 147, 148)
neighbours_true[[144]] <- c(145, 149, 150, 151)
neighbours_true[[145]] <- c(144, 148, 149)
neighbours_true[[146]] <- c(130, 131, 139, 143, 147)
neighbours_true[[147]] <- c(139, 143, 146, 148, 152)
neighbours_true[[148]] <- c(143, 145, 147, 149, 152)
neighbours_true[[149]] <- c(144, 145, 148, 151, 152, 154, 155)
neighbours_true[[150]] <- c(144, 151, 158)
neighbours_true[[151]] <- c(144, 149, 150, 153, 154, 158, 162)
neighbours_true[[152]] <- c(139, 140, 147, 148, 149, 155)
neighbours_true[[153]] <- c(151, 154, 162)
neighbours_true[[154]] <- c(149, 151, 153, 155, 162, 165, 166, 167)
neighbours_true[[155]] <- c(140, 149, 152, 154, 156, 166, 171, 172)
neighbours_true[[156]] <- c(140, 141, 155, 157, 172)
neighbours_true[[157]] <- c(141, 142, 156, 172, 186, 188, 189)

## Vest-Agder county - original neighbourhood structure is correct ## 
neighbours_true[[158]] <- c(150, 151, 162, 163, 164)
neighbours_true[[159]] <- c(164, 165, 168)
neighbours_true[[160]] <- c(161, 169, 171)
neighbours_true[[161]] <- c(160, 171, 172, 177, 178)
neighbours_true[[162]] <- c(151, 153, 154, 158, 163, 165)
neighbours_true[[163]] <- c(158, 162, 164, 165)
neighbours_true[[164]] <- c(158, 159, 163, 165)
neighbours_true[[165]] <- c(154, 159, 162, 163, 164, 167, 168)
neighbours_true[[166]] <- c(154, 155, 167, 170, 171)
neighbours_true[[167]] <- c(154, 165, 166, 168, 169, 170)
neighbours_true[[168]] <- c(159, 165, 167, 169)
neighbours_true[[169]] <- c(160, 167, 168, 170, 171)
neighbours_true[[170]] <- c(166, 167, 169, 171)
neighbours_true[[171]] <- c(155, 160, 161, 166, 169, 170, 172)
neighbours_true[[172]] <- c(155, 156, 157, 161, 171, 173, 178, 179, 183, 186)

## Rogaland county - original neighbourhood structure is correct ## 
neighbours_true[[173]] <- c(172, 177, 178, 179, 180)
neighbours_true[[174]] <- c(175, 181, 182, 183, 184, 186, 187)
neighbours_true[[175]] <- c(174, 184, 185, 187, 192)
neighbours_true[[176]] <- c(195, 196, 201, 202)
neighbours_true[[177]] <- c(161, 173, 178)
neighbours_true[[178]] <- c(161, 172, 173, 177)
neighbours_true[[179]] <- c(172, 173, 180, 182, 183)
neighbours_true[[180]] <- c(173, 179, 181, 182)
neighbours_true[[181]] <- c(174, 180, 182, 184)
neighbours_true[[182]] <- c(174, 179, 180, 181, 183)
neighbours_true[[183]] <- c(172, 174, 179, 182, 186)
neighbours_true[[184]] <- c(174, 175, 181, 185, 193)
neighbours_true[[185]] <- c(175, 184, 192, 193)
neighbours_true[[186]] <- c(157, 172, 174, 183, 187, 188)
neighbours_true[[187]] <- c(174, 175, 186, 188, 191, 192)
neighbours_true[[188]] <- c(157, 186, 187, 189, 191)
neighbours_true[[189]] <- c(142, 157, 188, 190, 191, 195, 198, 200, 208)
neighbours_true[[190]] <- c(189, 200, 208)
neighbours_true[[191]] <- c(187, 188, 189, 192, 194, 195)
neighbours_true[[192]] <- c(175, 185, 187, 191, 193, 194)
neighbours_true[[193]] <- c(184, 185, 192, 194, 196)
neighbours_true[[194]] <- c(191, 192, 193, 195, 196)
neighbours_true[[195]] <- c(176, 189, 191, 194, 196, 198, 201)
neighbours_true[[196]] <- c(176, 193, 194, 195, 197)
neighbours_true[[197]] <- c(196)
neighbours_true[[198]] <- c(189, 195, 200, 201, 206)

## Hordaland county- original neighbourhood structure is correct ## 
neighbours_true[[199]] <- c(216, 217, 218, 219, 220, 221, 222, 224, 225, 228)
neighbours_true[[200]] <- c(189, 190, 198, 206, 208)
neighbours_true[[201]] <- c(176, 195, 198, 202, 203)
neighbours_true[[202]] <- c(176, 201, 203, 204, 218)
neighbours_true[[203]] <- c(201, 202, 204, 205, 206)
neighbours_true[[204]] <- c(202, 203, 205, 218)
neighbours_true[[205]] <- c(203, 204, 206, 215, 217, 218)
neighbours_true[[206]] <- c(198, 200, 203, 205, 207, 208, 209, 214, 215)
neighbours_true[[207]] <- c(206, 209, 214)
neighbours_true[[208]] <- c(142, 189, 190, 200, 206, 209)
neighbours_true[[209]] <- c(142, 206, 207, 208, 210, 211, 212, 214)
neighbours_true[[210]] <- c(99, 110, 209, 211)
neighbours_true[[211]] <- c(99, 209, 210, 212, 213, 241)
neighbours_true[[212]] <- c(209, 211, 213, 214)
neighbours_true[[213]] <- c(211, 212, 214, 222, 237, 241)
neighbours_true[[214]] <- c(206, 207, 209, 212, 213, 215, 216, 222)
neighbours_true[[215]] <- c(205, 206, 214, 216, 217)
neighbours_true[[216]] <- c(199, 214, 215, 217, 222)
neighbours_true[[217]] <- c(199, 205, 215, 216, 218)
neighbours_true[[218]] <- c(199, 202, 204, 205, 217, 219)
neighbours_true[[219]] <- c(199, 218, 220)
neighbours_true[[220]] <- c(199, 219, 221, 226)
neighbours_true[[221]] <- c(199, 220, 225, 226, 227)
neighbours_true[[222]] <- c(199, 213, 214, 216, 223, 224, 228, 237)
neighbours_true[[223]] <- c(222, 228, 231, 236, 237)
neighbours_true[[224]] <- c(199, 222, 228)
neighbours_true[[225]] <- c(199, 221, 227, 228)
neighbours_true[[226]] <- c(220, 221, 227, 230)
neighbours_true[[227]] <- c(221, 225, 226, 228, 229, 230)
neighbours_true[[228]] <- c(199, 222, 223, 224, 225, 227, 229, 231, 233)
neighbours_true[[229]] <- c(227, 228, 230, 233)
neighbours_true[[230]] <- c(226, 227, 229, 233, 234)
neighbours_true[[231]] <- c(223, 228, 233, 236)

## Sogn og Fjordanel county ##
neighbours_true[[232]] <- c(245, 250, 251, 256)
neighbours_true[[233]] <- c(228, 229, 230, 231, 234, 235, 236)
neighbours_true[[234]] <- c(230, 233, 235, 245, 246)
neighbours_true[[235]] <- c(233, 234, 236, 246)
neighbours_true[[236]] <- c(223, 231, 233, 235, 237, 238, 246, 247)
neighbours_true[[237]] <- c(213, 222, 223, 236, 238, 239, 240, 241, 242)
neighbours_true[[238]] <- c(236, 237, 239, 240, 247, 249)
neighbours_true[[239]] <- c(237, 238, 240)
neighbours_true[[240]] <- c(237, 238, 239, 242, 244, 248, 249)
neighbours_true[[241]] <- c(99, 211, 213, 237, 242)
neighbours_true[[242]] <- c(89, 97, 98, 99, 237, 240, 241, 243)
neighbours_true[[243]] <- c(89, 242, 244)
neighbours_true[[244]] <- c(68, 69, 89, 240, 243, 248, 257)
neighbours_true[[245]] <- c(232, 234, 246, 247, 249, 250)
neighbours_true[[246]] <- c(234, 235, 236, 245, 247)
neighbours_true[[247]] <- c(236, 238, 245, 246, 249)
neighbours_true[[248]] <- c(240, 244, 249, 250, 256, 257)
neighbours_true[[249]] <- c(238, 240, 245, 247, 248, 250)
neighbours_true[[250]] <- c(232, 245, 248, 249, 256)
neighbours_true[[251]] <- c(232, 252, 254, 256)
neighbours_true[[252]] <- c(251, 253, 254, 261)                ## Wrong entry 262 instead of 261
neighbours_true[[253]] <- c(252, 261, 262)                     ## Wrong entry 263 instead of 261
neighbours_true[[254]] <- c(251, 252, 255, 256, 257, 261, 266) ## Wrong entry 262 instead of 261 and 267 instead of 266
neighbours_true[[255]] <- c(254, 257, 266, 267, 270)           ## 268 instead of 266 and 271 instead of 270
neighbours_true[[256]] <- c(232, 248, 250, 251, 254, 257)
neighbours_true[[257]] <- c(68, 244, 248, 254, 255, 256, 270)  ## 271 instead of 270

## More og Romsdal county - Neighbourhood structure mostly wrong ## 
neighbours_true[[258]] <- c(277, 278, 279, 280, 282, 283, 287)
neighbours_true[[259]] <- c(272, 273, 274, 275, 276)
neighbours_true[[260]] <- c(285, 286, 293, 294)               
neighbours_true[[261]] <- c(252, 253, 254, 262, 266)
neighbours_true[[262]] <- c(261, 263)
neighbours_true[[263]] <- c(262, 264)
neighbours_true[[264]] <- c(263, 265, 266, 267, 275)
neighbours_true[[265]] <- c(264, 267, 274, 275)
neighbours_true[[266]] <- c(254, 255, 261, 264, 267 )
neighbours_true[[267]] <- c(255, 264, 265, 266, 270, 272, 274)
neighbours_true[[268]] <- c(271, 272, 273, 277)
neighbours_true[[269]] <- c(68, 270, 271, 278)
neighbours_true[[270]] <- c(68, 255, 257, 267, 269, 271, 272)
neighbours_true[[271]] <- c(268, 269, 270, 272, 277, 278)
neighbours_true[[272]] <- c(259, 267, 268, 270, 271, 273, 274)
neighbours_true[[273]] <- c(259, 268, 272, 276, 277)
neighbours_true[[274]] <- c(259, 265, 267, 272, 275)
neighbours_true[[275]] <- c(259, 264, 265, 274, 276)
neighbours_true[[276]] <- c(259, 273, 275, 277, 280, 281)
neighbours_true[[277]] <- c(258, 268, 271, 273, 276, 278, 280)
neighbours_true[[278]] <- c(67, 68, 258, 269, 271, 277, 279)
neighbours_true[[279]] <- c(67, 258, 278, 287, 288, 289)
neighbours_true[[280]] <- c(258, 276, 277, 281, 282)
neighbours_true[[281]] <- c(276, 280, 282)
neighbours_true[[282]] <- c(258, 280, 281, 283)
neighbours_true[[283]] <- c(258, 282, 284, 287)
neighbours_true[[284]] <- c(283, 285, 287)
neighbours_true[[285]] <- c(260, 284, 286, 287)
neighbours_true[[286]] <- c(260, 285, 287, 288)
neighbours_true[[287]] <- c(258, 279, 283, 284, 285, 286, 288)
neighbours_true[[288]] <- c(279, 286, 287, 289, 290, 292, 294)
neighbours_true[[289]] <- c(67, 279, 288, 290, 307)
neighbours_true[[290]] <- c(288, 289, 292, 291, 296, 307)
neighbours_true[[291]] <- c(290, 296, 307, 308, 309, 310)
neighbours_true[[292]] <- c(288, 289, 294, 296)
neighbours_true[[293]] <- c(294, 298, 299)
neighbours_true[[294]] <- c(260, 288, 292, 293, 296, 298)

## Trondelag county - original neighbourhood structure is correct ## 
neighbours_true[[295]] <- c(302, 310, 314, 315, 316, 317, 324, 325)
neighbours_true[[296]] <- c(290, 291, 292, 294, 297, 298, 310)
neighbours_true[[297]] <- c(296, 298, 301, 310)
neighbours_true[[298]] <- c(293, 294, 296, 297, 299, 300, 301, 303)
neighbours_true[[299]] <- c(293, 298, 303)
neighbours_true[[300]] <- c(298, 301, 302, 303)
neighbours_true[[301]] <- c(297, 298, 300, 302, 310)
neighbours_true[[302]] <- c(295, 300, 301, 303, 304, 310, 325, 329)
neighbours_true[[303]] <- c(298, 299, 300, 302, 304)
neighbours_true[[304]] <- c(302, 303, 305, 329, 330)
neighbours_true[[305]] <- c(304, 306, 330)
neighbours_true[[306]] <- c(305, 330, 340)
neighbours_true[[307]] <- c(60, 62, 66, 67, 289, 290, 291, 308)
neighbours_true[[308]] <- c(60, 291, 307, 309, 313)
neighbours_true[[309]] <- c(291, 308, 310, 313, 314)
neighbours_true[[310]] <- c(291, 295, 296, 297, 301, 302, 309, 314, 315)
neighbours_true[[311]] <- c(58, 63, 312, 319)
neighbours_true[[312]] <- c(63, 311, 313, 318, 319)
neighbours_true[[313]] <- c(60, 63, 308, 309, 312, 314, 318)
neighbours_true[[314]] <- c(295, 309, 310, 313, 315, 316, 318)
neighbours_true[[315]] <- c(295, 310, 314)
neighbours_true[[316]] <- c(295, 314, 318)
neighbours_true[[317]] <- c(295, 318, 323, 324)
neighbours_true[[318]] <- c(312, 313, 314, 316, 317, 319, 322, 323)
neighbours_true[[319]] <- c(311, 312, 318, 322)
neighbours_true[[320]] <- c(321, 327, 329, 330, 331, 332, 338)
neighbours_true[[321]] <- c(320, 330, 338, 339, 340, 341)
neighbours_true[[322]] <- c(318, 319, 323, 327)
neighbours_true[[323]] <- c(317, 318, 322, 324, 326)
neighbours_true[[324]] <- c(295, 317, 323, 325, 326)
neighbours_true[[325]] <- c(295, 302, 324, 326, 328, 329)
neighbours_true[[326]] <- c(323, 324, 325, 327, 328, 331)
neighbours_true[[327]] <- c(320, 322, 326, 331, 332)
neighbours_true[[328]] <- c(325, 326, 329, 331)
neighbours_true[[329]] <- c(302, 304, 320, 325, 328, 330, 331)
neighbours_true[[330]] <- c(304, 305, 306, 320, 321, 329, 340)
neighbours_true[[331]] <- c(320, 326, 327, 328, 329)
neighbours_true[[332]] <- c(320, 327, 333, 336, 338)
neighbours_true[[333]] <- c(332, 334, 336)
neighbours_true[[334]] <- c(333, 335, 355, 356)
neighbours_true[[335]] <- c(334, 336, 337, 346, 355)
neighbours_true[[336]] <- c(332, 333, 335, 337, 338)
neighbours_true[[337]] <- c(335, 336, 338, 339, 342, 346)
neighbours_true[[338]] <- c(320, 321, 332, 336, 337, 339)
neighbours_true[[339]] <- c(321, 337, 338, 341, 342)
neighbours_true[[340]] <- c(306, 321, 330, 341)
neighbours_true[[341]] <- c(321, 339, 340, 342, 343)
neighbours_true[[342]] <- c(337, 339, 341, 343, 346)
neighbours_true[[343]] <- c(341, 342, 346)

## Nordland county - original neighbourhood structure is correct ## 
neighbours_true[[344]] <- c(364, 365, 366, 367, 368, 369, 370, 377, 378, 387)
neighbours_true[[345]] <- c(375, 376, 391, 394, 395, 396)
neighbours_true[[346]] <- c(335, 337, 342, 343, 347, 348, 355)
neighbours_true[[347]] <- c(346, 348)
neighbours_true[[348]] <- c(346, 347, 349, 350, 354, 355)
neighbours_true[[349]] <- c(348, 350, 351, 352)
neighbours_true[[350]] <- c(348, 349, 352, 354)
neighbours_true[[351]] <- c(349, 352, 357, 362)
neighbours_true[[352]] <- c(349, 350, 351, 353, 354, 357)
neighbours_true[[353]] <- c(352, 354, 357, 358, 359, 360)
neighbours_true[[354]] <- c(348, 350, 352, 353, 355, 356, 359)
neighbours_true[[355]] <- c(334, 335, 346, 348, 354, 356)
neighbours_true[[356]] <- c(334, 354, 355, 359)
neighbours_true[[357]] <- c(351, 352, 353, 358, 361, 362)
neighbours_true[[358]] <- c(353, 357, 360, 361)
neighbours_true[[359]] <- c(353, 354, 356, 360)
neighbours_true[[360]] <- c(353, 358, 359, 361, 363, 364, 366, 367)
neighbours_true[[361]] <- c(357, 358, 360, 362, 363)
neighbours_true[[362]] <- c(351, 357, 361, 363)
neighbours_true[[363]] <- c(360, 361, 362, 364, 377)
neighbours_true[[364]] <- c(344, 360, 363, 365, 366, 377)
neighbours_true[[365]] <- c(344, 364, 366)
neighbours_true[[366]] <- c(344, 360, 364, 365, 367)
neighbours_true[[367]] <- c(344, 360, 366, 368)
neighbours_true[[368]] <- c(344, 367, 369)
neighbours_true[[369]] <- c(344, 368, 370, 371)
neighbours_true[[370]] <- c(344, 369, 371, 380, 381, 387)
neighbours_true[[371]] <- c(369, 370, 372, 373, 381)
neighbours_true[[372]] <- c(371, 373, 376)
neighbours_true[[373]] <- c(371, 372, 374, 376, 381, 382, 385, 390)
neighbours_true[[374]] <- c(373, 375, 376, 388, 390, 391)
neighbours_true[[375]] <- c(345, 374, 376, 391)
neighbours_true[[376]] <- c(345, 372, 373, 374, 375)
neighbours_true[[377]] <- c(344, 363, 364, 378)
neighbours_true[[378]] <- c(344, 377, 387)
neighbours_true[[379]] <- c(380, 387)
neighbours_true[[380]] <- c(370, 379, 381, 387)
neighbours_true[[381]] <- c(370, 371, 373, 380, 382, 383)
neighbours_true[[382]] <- c(373, 381, 383, 385)
neighbours_true[[383]] <- c(381, 382, 384, 385)
neighbours_true[[384]] <- c(383, 385, 386)
neighbours_true[[385]] <- c(373, 382, 383, 384, 386, 388, 390)
neighbours_true[[386]] <- c(384, 385, 388, 392, 402)
neighbours_true[[387]] <- c(344, 370, 378, 379, 380)

## Troms county - original neighbourhood structure is correct ## 
neighbours_true[[388]] <- c(374, 385, 386, 390, 391, 392, 393)
neighbours_true[[389]] <- c(404, 405, 406, 407, 408)
neighbours_true[[390]] <- c(373, 374, 385, 388)
neighbours_true[[391]] <- c(345, 374, 375, 388, 393, 394)
neighbours_true[[392]] <- c(386, 388, 393, 401, 402)
neighbours_true[[393]] <- c(388, 391, 392, 394, 397, 400, 401)
neighbours_true[[394]] <- c(345, 391, 393, 395, 397)
neighbours_true[[395]] <- c(345, 394, 396, 397)
neighbours_true[[396]] <- c(345, 395, 397, 398, 399)
neighbours_true[[397]] <- c(393, 394, 395, 396, 399, 400)
neighbours_true[[398]] <- c(396, 399, 404, 405, 408)
neighbours_true[[399]] <- c(396, 397, 398, 400, 404)
neighbours_true[[400]] <- c(393, 397, 399, 401, 404)
neighbours_true[[401]] <- c(392, 393, 400, 402, 403, 404)
neighbours_true[[402]] <- c(386, 392, 401, 403)
neighbours_true[[403]] <- c(401, 402, 404)
neighbours_true[[404]] <- c(389, 398, 399, 400, 401, 403, 405)
neighbours_true[[405]] <- c(389, 398, 404, 408)
neighbours_true[[406]] <- c(389, 407, 410, 418)
neighbours_true[[407]] <- c(389, 406, 408, 409, 410, 411)
neighbours_true[[408]] <- c(389, 398, 405, 407, 409)
neighbours_true[[409]] <- c(407, 408, 411)
neighbours_true[[410]] <- c(406, 407, 411, 412, 418)
neighbours_true[[411]] <- c(407, 409, 410, 412, 416)
neighbours_true[[412]] <- c(410, 411, 416, 417, 418)

## Finnmark- original neighbourhood structure is correct ## 
neighbours_true[[413]] <- c(427, 428, 429, 430)
neighbours_true[[414]] <- c(416, 418, 419, 420)
neighbours_true[[415]] <- c(416, 423)
neighbours_true[[416]] <- c(411, 412, 414, 415, 417, 418, 419, 422, 423)
neighbours_true[[417]] <- c(412, 416, 418)
neighbours_true[[418]] <- c(406, 410, 412, 414, 416, 417)
neighbours_true[[419]] <- c(414, 416, 420, 422)
neighbours_true[[420]] <- c(414, 419, 421, 422)
neighbours_true[[421]] <- c(420, 422, 424)
neighbours_true[[422]] <- c(416, 419, 420, 421, 423, 424, 427)
neighbours_true[[423]] <- c(415, 416, 422, 427)
neighbours_true[[424]] <- c(421, 422, 425, 427)
neighbours_true[[425]] <- c(424, 426, 427)
neighbours_true[[426]] <- c(425, 427, 429)
neighbours_true[[427]] <- c(413, 422, 423, 424, 425, 426, 428)
neighbours_true[[428]] <- c(413, 427, 430)
neighbours_true[[429]] <- c(413, 426)
neighbours_true[[430]] <- c(413, 428)








